drop table if exists addtimelist

drop table if exists usertime

drop table if exists history

drop table if exists users

drop table if exists types

drop table if exists login

drop table if exists logout

drop table if exists module

drop table if exists operation

drop table if exists operators

drop table if exists groups

drop table if exists batchs

drop table if exists batusers

drop table if exists vipuser

drop table if exists vips

drop table if exists gpaddtimelist

drop table if exists actions

drop table if exists useracl1

drop table if exists useracl2

drop table if exists useracl3

drop table if exists userband

drop table if exists returnlist

drop table if exists allowtimelist

drop table if exists tmpusers

drop table if exists contact

drop table if exists addusertime

drop table if exists specialtime

drop table if exists cash

drop table if exists userlog

drop table if exists userproxy

drop table if exists freemac

drop table if exists freeip

drop table if exists forbidmac

drop table if exists refresh

drop table if exists batchs_card

drop table if exists batcards

drop table if exists bandlist

drop table if exists usersocket

CREATE TABLE login (
	ipaddr varchar(15) binary NOT NULL ,
	userid varchar(20) binary NOT NULL ,
	type varchar(8) binary NOT NULL ,
	remaintime int NOT NULL ,
	remaindata int NOT NULL ,
	processed char(1) binary NULL ,
	logintime varchar(20) binary NULL ,
	maskword varchar(20) binary NULL ,
	mac varchar(20) binary NULL ,
	PRIMARY KEY (ipaddr)
)

CREATE TABLE logout (
	ipaddr varchar(15) binary NOT NULL ,
	flag int NULL ,
	PRIMARY KEY (ipaddr)
)

CREATE TABLE history (
	userid varchar(20) binary NULL ,
	ipaddr varchar(15) binary NOT NULL ,
	type varchar(8) binary NULL ,
	starttime varchar(20) binary NOT NULL ,
	endtime varchar(20) binary NOT NULL ,
	usetime int NOT NULL ,
	datalength int NOT NULL ,
	facttime int NOT NULL ,
	factdata int NOT NULL ,
	discount int NOT NULL ,
	flag char(1) binary NOT NULL ,
	mac varchar(20) binary NOT NULL ,
	PRIMARY KEY (ipaddr,starttime)
)

CREATE TABLE users (
	userid varchar(20) binary NOT NULL ,
	loginname varchar(20) binary NOT NULL ,
	password varchar(50) binary NOT NULL ,
	type varchar(8) binary NOT NULL ,
	onlines int NOT NULL ,
	createtime varchar(20) binary NOT NULL ,
	username varchar(50) binary NULL ,
	usertel varchar(50) binary NULL ,
	comment varchar(100) binary NULL ,
	deletetime varchar(20) binary NULL ,
	checked char(1) binary NOT NULL ,
        gpid int NULL ,
	cookiemask varchar(25) binary NULL ,
	ipaddr varchar(15) binary NULL ,
	suspendtime varchar(20) binary NULL ,
	suspend char(1) binary NULL ,
	mac varchar(20) binary NULL ,
	address varchar(100) binary NULL ,
	PRIMARY KEY (userid)
)

CREATE TABLE usertime (
	userid varchar(20) binary NOT NULL ,
	starttime varchar(20) binary NOT NULL ,
	length int NOT NULL ,
	datalength int NOT NULL ,
	overed char(1) binary NOT NULL ,
	PRIMARY KEY (userid)
)

CREATE TABLE addtimelist (
	userid varchar(20) binary NOT NULL ,
	addtime varchar(20) binary NOT NULL ,
	type varchar(8) binary NOT NULL ,
	length float NOT NULL ,
	datalength float NOT NULL ,
	otherlength int NULL ,
	price float NOT NULL ,
	money1 float NOT NULL ,
	discount int NOT NULL ,
	money2 float NOT NULL ,
	flag char(1) binary NOT NULL ,
	PRIMARY KEY (userid,addtime)
)

CREATE TABLE operators (
	operator varchar(20) binary NOT NULL ,
	opername varchar(40) binary NULL ,
	password varchar(20) binary NULL ,
	acl varchar(60) binary NULL ,
	PRIMARY KEY (operator)
)

CREATE TABLE operation (
	operator varchar(20) binary NOT NULL ,
	opertime varchar(20) binary NOT NULL ,
	action varchar(100) binary NOT NULL
)

CREATE TABLE module (
	appcode varchar(4) binary NOT NULL ,
	appname varchar(50) binary NOT NULL ,
	PRIMARY KEY (appcode)
)

CREATE TABLE groups (
	gpid int NOT NULL ,
	gpname varchar(50) binary NOT NULL ,
	createtime varchar(20) binary NOT NULL ,
	comment varchar(100) binary NULL ,
	PRIMARY KEY (gpid)
)

CREATE TABLE batchs (
        batchid int NOT NULL ,      
	startuserid varchar(20) binary NOT NULL ,
	createtime varchar(20) binary NOT NULL ,
        type varchar(8) binary NOT NULL ,
        onlines int NOT NULL ,
        length int NOT NULL ,
        count int NOT NULL ,
        money1 float NOT NULL ,
        otherlength int NULL ,         
        discount int NULL ,            
        money2 float NOT NULL ,
        active char(1) binary NOT NULL ,
        gpid int NULL ,
        comment varchar(100) binary NULL ,
	PRIMARY KEY (batchid)
)

CREATE TABLE batusers (
	userid varchar(20) binary NOT NULL ,
	loginname varchar(20) binary NOT NULL ,
	password varchar(50) binary NOT NULL ,
	type varchar(8) binary NOT NULL ,
	onlines int NOT NULL ,
        length int NOT NULL ,
	createtime varchar(20) binary NOT NULL ,
        money1 float NOT NULL ,
        otherlength int NULL ,
        discount int NULL ,
        money2 float NOT NULL ,
        batchid int NOT NULL ,
        active char(1) binary NOT NULL ,
        gpid int NULL ,
	PRIMARY KEY (userid)
)

CREATE TABLE vipuser (
	userid varchar(20) binary NOT NULL ,
	viptype varchar(40) binary NOT NULL ,
	givelength int NOT NULL ,
	discount int NOT NULL ,
	PRIMARY KEY (userid)
)

CREATE TABLE vips (
        viptype varchar(40) binary NOT NULL ,
	givelength int NOT NULL ,
	discount int NOT NULL ,
	PRIMARY KEY (viptype)
)

CREATE TABLE gpaddtimelist (
	gpid int NOT NULL ,
	addtime varchar(20) binary NOT NULL ,
	length float NOT NULL ,
	otherlength int NULL ,
	count int NOT NULL ,
        money1 float NOT NULL ,
	discount int NOT NULL ,
	money2 float NOT NULL ,
	PRIMARY KEY (gpid,addtime)
)

CREATE TABLE actions (
	actionid varchar(2) binary NOT NULL ,
	actionname varchar(50) binary NOT NULL ,
	PRIMARY KEY (actionid)
)

CREATE TABLE useracl1 (
	userid varchar(20) binary NOT NULL ,
	mode char(1) binary NOT NULL ,
	icmp char(1) binary NOT NULL ,
	udp char(1) binary NOT NULL ,
	igmp char(1) binary NOT NULL ,
	qq char(1) binary NOT NULL ,
	msn char(1) binary NOT NULL ,
	yahoo char(1) binary NOT NULL ,
	bt char(1) binary NOT NULL ,
	emule char(1) binary NOT NULL ,
	ftp char(1) binary NOT NULL ,
	flashget char(1) binary NOT NULL ,
	proxy char(1) binary NOT NULL ,
	socks char(1) binary NOT NULL ,
	PRIMARY KEY (userid)
)

CREATE TABLE useracl2 (
	userid varchar(20) binary NOT NULL ,
	site varchar(100) binary NOT NULL ,
	orderid int NOT NULL ,
	flag char(1) binary NOT NULL ,
	PRIMARY KEY (userid,site,flag)
)

CREATE TABLE useracl3 (
	userid varchar(20) binary NOT NULL ,
	port int NOT NULL ,
	orderid int NOT NULL ,
	PRIMARY KEY (userid,port)
)

CREATE TABLE userband (
	loginname varchar(20) binary NOT NULL ,
	banddown int NOT NULL ,
	bandtype int NOT NULL ,
	bandup int NOT NULL ,
	PRIMARY KEY (loginname)
)

CREATE TABLE returnlist (
	userid varchar(20) binary NOT NULL ,
	loginname varchar(20) binary NOT NULL ,
	returntime varchar(20) binary NOT NULL ,
	type varchar(8) binary NOT NULL ,
	length float NOT NULL ,
	price float NOT NULL ,
	money1 float NOT NULL ,
	discount int NOT NULL ,
	money2 float NOT NULL ,
	PRIMARY KEY (userid)
)

CREATE TABLE allowtimelist (
	userid varchar(20) binary NOT NULL ,
	weeknumber int NOT NULL ,
	starttime varchar(5) binary NOT NULL ,
	endtime varchar(5) binary NOT NULL ,
	PRIMARY KEY (userid,weeknumber,starttime)
)

CREATE TABLE tmpusers (
	userid varchar(20) binary NOT NULL ,
	loginname varchar(20) binary NOT NULL ,
	password varchar(50) binary NOT NULL ,
	type varchar(8) binary NOT NULL ,
	onlines int NOT NULL ,
	createtime varchar(20) binary NOT NULL ,
	username varchar(50) binary NULL ,
	usertel varchar(50) binary NULL ,
	comment varchar(100) binary NULL ,
        gpid int NULL ,
	cookiemask varchar(25) binary NULL ,
	ipaddr varchar(15) binary NULL ,
	length int NOT NULL ,
	price float NOT NULL ,
	money float NOT NULL ,
	address varchar(100) binary NULL ,
	PRIMARY KEY (userid)
)

CREATE TABLE contact (
	ipaddr varchar(15) binary NOT NULL ,
	contacttime int NOT NULL ,
	PRIMARY KEY (ipaddr)
)

CREATE TABLE addusertime (
	userid varchar(20) binary NOT NULL ,
	timelength int NOT NULL ,
	datalength int NOT NULL ,
	PRIMARY KEY (userid)
)

CREATE TABLE specialtime (
	xh int NOT NULL ,
	starttime1 int NOT NULL ,
	starttime2 int NOT NULL ,
	timelength int NOT NULL ,
	discount int NOT NULL ,
	flag char(1) binary NOT NULL ,
	PRIMARY KEY (xh)
)

CREATE TABLE cash (
	userid varchar(20) binary NOT NULL ,
	transtime varchar(20) binary NOT NULL ,
	money float NOT NULL ,
	spare float NOT NULL ,
	flag char(1) binary NOT NULL ,
	operator varchar(20) binary NOT NULL ,
	PRIMARY KEY (userid,transtime,flag)
)

CREATE TABLE types (
	typeid varchar(4) binary NOT NULL ,
	name varchar(80) binary NOT NULL ,
	price float NOT NULL ,
	typemode char(1) binary NOT NULL ,
	unit int NOT NULL ,
	limittype char(1) binary NOT NULL ,
	limithour int NOT NULL ,
	limitflow int NOT NULL ,
	overprice1 float NOT NULL ,
	overprice2 float NOT NULL ,
	maxmoney float NOT NULL ,
	PRIMARY KEY (typeid)
)

CREATE TABLE userlog (
	rid int NOT NULL ,
	userid varchar(20) binary NOT NULL ,
	starttime varchar(20) binary NOT NULL ,
	endtime varchar(20) binary NOT NULL ,
	userip varchar(15) binary NOT NULL ,
	site varchar(1024) binary NOT NULL ,
	port varchar(5) binary NULL ,
	protocol varchar(10) binary NOT NULL ,
	PRIMARY KEY (rid)
)

CREATE INDEX userlog_index1 ON userlog(userid,starttime)

CREATE TABLE userproxy (
	loginname varchar(20) binary NOT NULL ,
	PRIMARY KEY (loginname)
)

CREATE TABLE freemac (
	mac varchar(20) binary NOT NULL ,
	name varchar(20) binary NOT NULL ,
	PRIMARY KEY (name)
)

CREATE TABLE freeip (
	ipaddr varchar(50) binary NOT NULL ,
	name varchar(20) binary NOT NULL ,
	banddown int NOT NULL ,
	bandup int NOT NULL ,
	PRIMARY KEY (name)
)

CREATE TABLE forbidmac (
	mac varchar(20) binary NOT NULL ,
	name varchar(20) binary NOT NULL ,
	PRIMARY KEY (name)
)

CREATE TABLE refresh (
	flag int NOT NULL ,
	PRIMARY KEY (flag)
)

CREATE TABLE batchs_card (
        batchid int NOT NULL ,      
	startid varchar(20) binary NOT NULL ,
	createtime varchar(20) binary NOT NULL ,
        count int NOT NULL ,
        money1 int NOT NULL ,
        money2 int NOT NULL ,
        comment varchar(100) binary NULL ,
	PRIMARY KEY (batchid)
)

CREATE TABLE batcards (
	cardid varchar(20) binary NOT NULL ,
	password varchar(50) binary NOT NULL ,
	createtime varchar(20) binary NOT NULL ,
        money int NOT NULL ,
        batchid int NOT NULL ,
        active char(1) binary NOT NULL ,
	activeuser varchar(20) binary NULL ,
	activetime varchar(20) binary NULL ,
	activeip varchar(15) binary NULL ,
	PRIMARY KEY (cardid)
)

CREATE TABLE bandlist (
        bandid int NOT NULL ,
        bandwidth int NOT NULL ,
	bandname varchar(20) binary NOT NULL ,
	PRIMARY KEY (bandid)
)

CREATE TABLE usersocket (
	loginname varchar(20) binary NOT NULL ,
	socket int NOT NULL ,
	PRIMARY KEY (loginname)
)

insert into types values('00','',0,'0',0,'0',0,0,0,0,0)

insert into types values('01','ȹʹãӼƷѣ',0.2,'1',1,'0',0,0,0,0,0)

insert into types values('02','ȹʹãСʱƷѣ',5,'1',2,'0',0,0,0,0,0)

insert into types values('03','ȹʹãƷѣ',30,'1',3,'0',0,0,0,0,0)

insert into types values('04','ȹʹã¼Ʒѣƣ',200,'1',4,'0',0,0,0,0,0)

insert into types values('05','ȹʹã¼Ʒѣ150Сʱƣ',150,'1',4,'2',150,0,0,0,0)

insert into types values('06','ȹʹã¼Ʒѣ120Сʱƣ',120,'1',4,'2',120,0,0,0,0)

insert into types values('07','ȹʹã¼Ʒѣ90Сʱƣ',90,'1',4,'2',90,0,0,0,0)

insert into types values('08','ȹʹãƷѣ',1000,'1',5,'0',0,0,0,0,0)

insert into types values('09','ȹʹãMƷѣ',1,'1',6,'0',0,0,0,0,0)

insert into types values('10','ȹʹãGƷѣ',600,'1',7,'0',0,0,0,0,0)

insert into types values('11','ʹú㣨ӽ㣩',0.2,'2',1,'0',0,0,0,0,0)

insert into types values('12','ʹú㣨Сʱ㣬ÿ޷ⶥ',5,'2',2,'0',0,0,0,0,0)

insert into types values('13','ʹú㣨Сʱ㣬ÿ30Ԫⶥ',5,'2',2,'0',0,0,0,0,30)

insert into types values('14','ʹú㣨㣩',30,'2',3,'0',0,0,0,0,0)

insert into types values('15','ʹú㣨½㣬ƣ',200,'2',4,'0',0,0,0,0,0)

insert into types values('16','ʹú㣨½㣬150Сʱƣ5Ԫ/Сʱ',150,'2',4,'1',150,0,5,0,0)

insert into types values('17','ʹú㣨½㣬120Сʱƣ5Ԫ/Сʱ',120,'2',4,'1',120,0,5,0,0)

insert into types values('18','ʹú㣨½㣬90Сʱƣ5Ԫ/Сʱ',90,'2',4,'1',90,0,5,0,0)

insert into types values('19','ʹú㣨㣩',1000,'2',5,'0',0,0,0,0,0)

insert into types values('20','ʹú㣨M㣩',1,'2',6,'0',0,0,0,0,0)

insert into types values('21','ʹú㣨G㣩',600,'2',7,'0',0,0,0,0,0)

insert into module values('1001','Ա')

insert into module values('1002','Ա')

insert into module values('1003','Ա޸')

insert into module values('1004','ʷ¼ѯ')

insert into module values('1007','Χ')

insert into module values('1008','ûΧ')

insert into module values('1009','')

insert into module values('1010','û')

insert into module values('2001','Ʒ͹')

insert into module values('2002','עû')

insert into module values('2003','')

insert into module values('2004','')

insert into module values('2005','עû')

insert into module values('2006','嵥ѯ')

insert into module values('2007','ûѯ')

insert into module values('2008','û޸')

insert into module values('2009','ʱûб')

insert into module values('2010','ûб')

insert into module values('2011','µûб')

insert into module values('2012','ʹúûͳб')

insert into module values('2013','ÿעû嵥')

insert into module values('2014','ÿսû嵥')

insert into module values('2015','ÿû嵥')

insert into module values('2016','ÿעû嵥')

insert into module values('2017','ÿ½û嵥')

insert into module values('2018','ÿû嵥')

insert into module values('2019','ͳձ')

insert into module values('2020','ͳ±')

insert into module values('2021','ͳ걨')

insert into module values('2022','ʱͳƱ')

insert into module values('2023','ָעû')

insert into module values('2024','ǰû嵥')

insert into module values('2025','ʷ')

insert into module values('2026','Ʒ')

insert into module values('2027','ɷ嵥ѯ')

insert into module values('2028','û')

insert into module values('2029','û')

insert into module values('2030','VIPû')

insert into module values('2031','˷Ѵ')

insert into module values('2032','ÿʱ')

insert into module values('2033','ûÿʱ')

insert into module values('2034','ÿ˷û嵥')

insert into module values('2035','ÿ˷û嵥')

insert into module values('2036','עȷЧ')

insert into module values('2037','עû')

insert into module values('2038','ֽ֧ѯ')

insert into module values('2039','Żʱι')

insert into module values('2040','û')

insert into module values('2041','')

insert into module values('2042','־ѯ')

insert into module values('2044','̶ͨͻMACַ')

insert into module values('2045','̶ͨͻIPַ')

insert into module values('2046','ֹͻMACַ')

insert into module values('2047','ֵ')

insert into module values('2048','û')

insert into actions values('01','¼')

insert into actions values('02','˳')

insert into actions values('03','Ա')

insert into actions values('04','޸ĲԱȨ')

insert into actions values('05','ɾԱ')

insert into actions values('06','ͨû')

insert into actions values('07','עû')

insert into actions values('08','ָעû')

insert into actions values('09','û')

insert into actions values('10','û')

insert into actions values('11','ӼƷ')

insert into actions values('12','ûŻݵȼϢ')

insert into actions values('13','޸ûŻݵȼϢ')

insert into actions values('14','ɾûŻݵȼϢ')

insert into actions values('15','עû')

insert into actions values('16','û')

insert into actions values('17','Żݵȼ')

insert into actions values('18','޸Żݵȼ')

insert into actions values('19','ɾŻݵȼ')

insert into actions values('20','')

insert into actions values('21','û')

insert into actions values('22','޸û')

insert into actions values('23','ɾû')

insert into actions values('24','ɾԱ')

insert into actions values('25','Ա')

insert into actions values('26','û')

insert into actions values('27','޸û')

insert into actions values('28','Ʒ')

insert into actions values('29','޸Χ')

insert into actions values('30','޸ûΧ')

insert into actions values('31','޸ļƷ')

insert into actions values('32','ɾƷ')

insert into actions values('33','')

insert into actions values('34','ɾ')

insert into actions values('35','û')

insert into actions values('36','ɾû')

insert into actions values('37','û˷')

insert into actions values('38','ÿʱ')

insert into actions values('39','ûÿʱ')

insert into actions values('40','עû')

insert into actions values('41','Ƿ״̬')

insert into actions values('42','Żʱ')

insert into actions values('43','ɾŻʱ')

insert into actions values('44','')

insert into actions values('45','ɾ')

insert into actions values('46','û')

insert into actions values('47','ɾû')

insert into actions values('48','ù̶ͨͻMACַ')

insert into actions values('49','ɾ̶ͨͻMACַ')

insert into actions values('50','ù̶ͨͻIPַ')

insert into actions values('51','ɾ̶ͨͻIPַ')

insert into actions values('52','ýֹͻMACַ')

insert into actions values('53','ɾֹͻMACַ')

insert into actions values('54','ֵ')

insert into actions values('55','û')

insert into actions values('56','ɾû')

insert into specialtime values(1,12,31,2,0,'1')

insert into specialtime values(2,10,1,7,0,'1')

insert into specialtime values(3,6,0,48,50,'2')

insert into specialtime values(4,0,0,7,50,'3')

insert into bandlist values(1,64,'64K')

insert into bandlist values(2,128,'128K')

insert into bandlist values(3,256,'256K')

insert into bandlist values(4,512,'512K')

insert into bandlist values(5,1024,'1M')

insert into bandlist values(6,2048,'2M')

insert into bandlist values(7,4096,'4M')

insert into bandlist values(8,8192,'8M')

insert into bandlist values(9,16384,'16M')

insert into bandlist values(10,32768,'32M')

insert into bandlist values(11,65536,'64M')

insert into bandlist values(12,1536,'1.5M')

insert into bandlist values(13,3072,'3M')

insert into bandlist values(14,5120,'5M')

insert into bandlist values(15,6144,'6M')

insert into operators values('sip','ϵͳԱ','sip','1111111111111111111111111111111111111111111111111111111')
