drop table if exists login

drop table if exists logout

CREATE TABLE login (
	ipaddr varchar(15) binary NOT NULL ,
	userid varchar(20) binary NOT NULL ,
	type varchar(8) binary NOT NULL ,
	remaintime int NOT NULL ,
	remaindata int NOT NULL ,
	processed char(1) binary NULL ,
	logintime varchar(20) binary NULL ,
	maskword varchar(20) binary NULL ,
	mac varchar(20) binary NULL ,
	PRIMARY KEY (ipaddr)
)

CREATE TABLE logout (
	ipaddr varchar(15) binary NOT NULL ,
	flag int NULL ,
	PRIMARY KEY (ipaddr)
)

CREATE TABLE history (
	userid varchar(20) binary NULL ,
	ipaddr varchar(15) binary NOT NULL ,
	type varchar(8) binary NULL ,
	starttime varchar(20) binary NOT NULL ,
	endtime varchar(20) binary NOT NULL ,
	usetime int NOT NULL ,
	datalength int NOT NULL ,
	mac varchar(20) binary NOT NULL ,
	PRIMARY KEY (ipaddr,starttime)
)

CREATE TABLE users (
	userid varchar(20) binary NOT NULL ,
	loginname varchar(20) binary NOT NULL ,
	password varchar(50) binary NOT NULL ,
	type varchar(8) binary NOT NULL ,
	onlines int NOT NULL ,
	createtime varchar(20) binary NOT NULL ,
	username varchar(50) binary NULL ,
	usertel varchar(50) binary NULL ,
	comment varchar(100) binary NULL ,
	deletetime varchar(20) binary NULL ,
	checked char(1) binary NOT NULL ,
        gpid int NULL ,
	cookiemask varchar(25) binary NULL ,
	ipaddr varchar(15) binary NULL ,
        timelength int NOT NULL ,
        datalength int NOT NULL ,
	userdept varchar(50) binary NULL ,
        daytime int NOT NULL ,
        daydata int NOT NULL ,
	mac varchar(20) binary NULL ,
	PRIMARY KEY (userid)
)

CREATE TABLE operators (
	operator varchar(20) binary NOT NULL ,
	opername varchar(40) binary NULL ,
	password varchar(20) binary NULL ,
	acl varchar(50) binary NULL ,
	PRIMARY KEY (operator)
)

CREATE TABLE operation (
	operator varchar(20) binary NOT NULL ,
	opertime varchar(20) binary NOT NULL ,
	action varchar(100) binary NOT NULL
)

CREATE TABLE module (
	appcode varchar(4) binary NOT NULL ,
	appname varchar(50) binary NOT NULL ,
	PRIMARY KEY (appcode)
)

CREATE TABLE groups (
	gpid int NOT NULL ,
	gpname varchar(50) binary NOT NULL ,
	createtime varchar(20) binary NOT NULL ,
	comment varchar(100) binary NULL ,
	PRIMARY KEY (gpid)
)

CREATE TABLE actions (
	actionid varchar(2) binary NOT NULL ,
	actionname varchar(50) binary NOT NULL ,
	PRIMARY KEY (actionid)
)

CREATE TABLE useracl1 (
	userid varchar(20) binary NOT NULL ,
	mode char(1) binary NOT NULL ,
	icmp char(1) binary NOT NULL ,
	udp char(1) binary NOT NULL ,
	igmp char(1) binary NOT NULL ,
	qq char(1) binary NOT NULL ,
	msn char(1) binary NOT NULL ,
	yahoo char(1) binary NOT NULL ,
	bt char(1) binary NOT NULL ,
	emule char(1) binary NOT NULL ,
	ftp char(1) binary NOT NULL ,
	flashget char(1) binary NOT NULL ,
	proxy char(1) binary NOT NULL ,
	socks char(1) binary NOT NULL ,
	PRIMARY KEY (userid)
)

CREATE TABLE useracl2 (
	userid varchar(20) binary NOT NULL ,
	site varchar(100) binary NOT NULL ,
	orderid int NOT NULL ,
	flag char(1) binary NOT NULL ,
	PRIMARY KEY (userid,site,flag)
)

CREATE TABLE useracl3 (
	userid varchar(20) binary NOT NULL ,
	port int NOT NULL ,
	orderid int NOT NULL ,
	PRIMARY KEY (userid,port)
)

CREATE TABLE userband (
	loginname varchar(20) binary NOT NULL ,
	banddown int NOT NULL ,
	bandtype int NOT NULL ,
	bandup int NOT NULL ,
	PRIMARY KEY (loginname)
)

CREATE TABLE allowtimelist (
	userid varchar(20) binary NOT NULL ,
	weeknumber int NOT NULL ,
	starttime varchar(5) binary NOT NULL ,
	endtime varchar(5) binary NOT NULL ,
	PRIMARY KEY (userid,weeknumber,starttime)
)

CREATE TABLE contact (
	ipaddr varchar(15) binary NOT NULL ,
	contacttime int NOT NULL ,
	PRIMARY KEY (ipaddr)
)

CREATE TABLE addusertime (
	userid varchar(20) binary NOT NULL ,
	timelength int NOT NULL ,
	datalength int NOT NULL ,
	PRIMARY KEY (userid)
)

CREATE TABLE userlog (
	rid int NOT NULL ,
	userid varchar(20) binary NOT NULL ,
	starttime varchar(20) binary NOT NULL ,
	endtime varchar(20) binary NOT NULL ,
	userip varchar(15) binary NOT NULL ,
	site varchar(1024) binary NOT NULL ,
	port varchar(5) binary NULL ,
	protocol varchar(10) binary NOT NULL ,
	PRIMARY KEY (rid)
)

CREATE INDEX userlog_index1 ON userlog(userid,starttime)

CREATE TABLE userproxy (
	loginname varchar(20) binary NOT NULL ,
	PRIMARY KEY (loginname)
)

CREATE TABLE freemac (
	mac varchar(20) binary NOT NULL ,
	name varchar(20) binary NOT NULL ,
	PRIMARY KEY (name)
)

CREATE TABLE freeip (
	ipaddr varchar(50) binary NOT NULL ,
	name varchar(20) binary NOT NULL ,
	banddown int NOT NULL ,
	bandup int NOT NULL ,
	PRIMARY KEY (name)
)

CREATE TABLE forbidmac (
	mac varchar(20) binary NOT NULL ,
	name varchar(20) binary NOT NULL ,
	PRIMARY KEY (name)
)

CREATE TABLE refresh (
	flag int NOT NULL ,
	PRIMARY KEY (flag)
)

CREATE TABLE usersocket (
	loginname varchar(20) binary NOT NULL ,
	socket int NOT NULL ,
	PRIMARY KEY (loginname)
)

CREATE TABLE grouplimit (
        gpid int NOT NULL ,
	timelength int NOT NULL ,
	datalength int NOT NULL ,
	daytime int NOT NULL ,
	daydata int NOT NULL ,
	PRIMARY KEY (gpid)
)

ALTER TABLE users ADD daytime int NULL

ALTER TABLE users ADD daydata int NULL

ALTER TABLE users ADD mac varchar(20) binary NULL

ALTER TABLE history ADD mac varchar(20) binary NULL

ALTER TABLE operators ALTER COLUMN acl varchar(50) binary NULL

update users set mac='' where mac is null

update users set daytime=0 where daytime is null

update users set daydata=0 where daydata is null

update history set mac='' where mac is null

ALTER TABLE useracl1 ADD qq char(1) binary NULL

ALTER TABLE useracl1 ADD msn char(1) binary NULL

ALTER TABLE useracl1 ADD yahoo char(1) binary NULL

ALTER TABLE useracl1 ADD bt char(1) binary NULL

ALTER TABLE useracl1 ADD emule char(1) binary NULL

ALTER TABLE useracl1 ADD ftp char(1) binary NULL

ALTER TABLE useracl1 ADD flashget char(1) binary NULL

ALTER TABLE useracl1 ADD proxy char(1) binary NULL

ALTER TABLE useracl1 ADD socks char(1) binary NULL

ALTER TABLE useracl1 DROP COLUMN checkport

ALTER TABLE useracl2 ALTER COLUMN site varchar(100) binary NOT NULL

ALTER TABLE useracl2 ADD flag char(1) binary NULL

update useracl1 set qq='n',msn='n',yahoo='n',bt='n',emule='n',ftp='n',flashget='n',proxy='n',socks='n'

update useracl2 set flag='0'

ALTER TABLE userband CHANGE bandwidth banddown int

ALTER TABLE userband ADD bandup int NULL

update userband set bandup=0 where bandup is null

ALTER TABLE freeip CHANGE bandwidth banddown int

ALTER TABLE freeip ADD bandup int NULL

update freeip set bandup=0 where bandup is null

insert into module values('01','Ա')

insert into module values('02','Ա')

insert into module values('03','Ա޸')

insert into module values('04','ʷ¼ѯ')

insert into module values('05','Χ')

insert into module values('06','ûΧ')

insert into module values('07','')

insert into module values('08','û')

insert into module values('09','עû')

insert into module values('10','עû')

insert into module values('11','嵥ѯ')

insert into module values('12','ûѯ')

insert into module values('13','û޸')

insert into module values('14','ÿעû嵥')

insert into module values('15','ÿעû嵥')

insert into module values('16','ͳձ')

insert into module values('17','ͳ±')

insert into module values('18','ͳ걨')

insert into module values('19','ʱͳƱ')

insert into module values('20','ָעû')

insert into module values('21','ǰû嵥')

insert into module values('22','ʷ')

insert into module values('23','û')

insert into module values('24','ÿʱ')

insert into module values('25','ûÿʱ')

insert into module values('26','עû')

insert into module values('27','ʱ')

insert into module values('28','')

insert into module values('29','û')

insert into module values('30','')

insert into module values('31','־ѯ')

insert into module values('33','̶ͨͻMACַ')

insert into module values('34','̶ͨͻIPַ')

insert into module values('35','ֹͻMACַ')

insert into module values('36','û')

insert into module values('37','ÿÿ')

insert into actions values('01','¼')

insert into actions values('02','˳')

insert into actions values('03','Ա')

insert into actions values('04','޸ĲԱȨ')

insert into actions values('05','ɾԱ')

insert into actions values('06','ͨû')

insert into actions values('07','עû')

insert into actions values('08','ָעû')

insert into actions values('09','û')

insert into actions values('10','޸û')

insert into actions values('11','ɾû')

insert into actions values('12','ɾԱ')

insert into actions values('13','Ա')

insert into actions values('14','޸û')

insert into actions values('15','޸Χ')

insert into actions values('16','޸ûΧ')

insert into actions values('17','')

insert into actions values('18','ɾ')

insert into actions values('19','û')

insert into actions values('20','ɾû')

insert into actions values('21','ÿʱ')

insert into actions values('22','ûÿʱ')

insert into actions values('23','עû')

insert into actions values('24','')

insert into actions values('25','ɾ')

insert into actions values('26','û')

insert into actions values('27','ɾû')

insert into actions values('28','ù̶ͨͻMACַ')

insert into actions values('29','ɾ̶ͨͻMACַ')

insert into actions values('30','ù̶ͨͻIPַ')

insert into actions values('31','ɾ̶ͨͻIPַ')

insert into actions values('32','ýֹͻMACַ')

insert into actions values('33','ɾֹͻMACַ')

insert into actions values('35','û')

insert into actions values('36','ɾû')

insert into actions values('36','ÿÿ')

insert into actions values('37','ɾÿÿ')

insert into operators values('sip','ϵͳԱ','sip','1111111111111111111111111111111111111')
