drop table if exists account

drop table if exists history

drop table if exists users

drop table if exists types

drop table if exists login

drop table if exists logout

drop table if exists module

drop table if exists operation

drop table if exists operators

drop table if exists useracl1

drop table if exists useracl2

drop table if exists useracl3

drop table if exists rooms

drop table if exists userband

drop table if exists contact

drop table if exists addusertime

drop table if exists cash

drop table if exists userlog

drop table if exists userproxy

drop table if exists freemac

drop table if exists freeip

drop table if exists forbidmac

drop table if exists refresh

drop table if exists usersocket

CREATE TABLE account ( 
	userid varchar(20) binary NOT NULL ,
	loginname varchar(20) binary NOT NULL ,
	password varchar(50) binary NOT NULL ,
	type varchar(8) binary NULL ,
	addtime varchar(20) binary NOT NULL ,
	checktime varchar(20) binary NOT NULL ,
	usetime float NOT NULL ,
	datalength float NOT NULL ,
	price float NOT NULL ,
	money1 float NOT NULL ,
	discount int NOT NULL ,
	money2 float NOT NULL ,
	comment varchar(50) binary NULL ,
	PRIMARY KEY(userid)
)

CREATE TABLE history ( 
	ipaddr varchar(15) binary NOT NULL ,
	userid varchar(20) binary NULL ,
	type varchar(8) binary NULL ,
	starttime varchar(20) binary NOT NULL ,
	endtime varchar(20) binary NOT NULL ,
	usetime int NOT NULL ,
	datalength int NOT NULL, 
	mac varchar(20) binary NOT NULL ,
	PRIMARY KEY(ipaddr,starttime)
)

CREATE TABLE login ( 
	ipaddr varchar(15) binary NOT NULL ,
	userid varchar(20) binary NOT NULL ,
	type varchar(8) binary NOT NULL ,
	remaintime int NOT NULL ,
	remaindata int NOT NULL ,
	processed char(1) binary NULL ,
	logintime varchar(20) binary NULL ,
	maskword varchar(20) binary NULL ,
	PRIMARY KEY(ipaddr)
)

CREATE TABLE logout ( 
	ipaddr varchar(15) binary NOT NULL ,
	flag int NULL ,
	PRIMARY KEY(ipaddr)
)

CREATE TABLE types ( 
	name varchar(8) binary NOT NULL ,
	price float NOT NULL ,
	orderid int NULL ,
	PRIMARY KEY(name)
)

CREATE TABLE users ( 
	userid varchar(20) binary NOT NULL ,
	loginname varchar(20) binary NOT NULL ,
	password varchar(50) binary NOT NULL ,
	type varchar(8) binary NULL ,
	onlines int NULL ,
	addtime varchar(20) binary NOT NULL ,
	checked char(1) binary NOT NULL ,
	cookiemask varchar(25) binary NULL ,
	suspendtime varchar(20) binary NULL ,
	prepay int NULL ,
	PRIMARY KEY(userid)
)

CREATE TABLE module ( 
	appcode varchar(4) binary NOT NULL ,
	appname varchar(50) binary NOT NULL ,
	PRIMARY KEY(appcode)
)

CREATE TABLE operation ( 
	operator varchar(20) binary NOT NULL ,
	opertime varchar(20) binary NOT NULL ,
	action varchar(100) binary NOT NULL ,
	PRIMARY KEY(operator,opertime)
)

CREATE TABLE operators ( 
	operator varchar(20) binary NOT NULL ,
	opername varchar(40) binary NULL ,
	password varchar(20) binary NULL ,
	acl varchar(40) binary NULL ,
	PRIMARY KEY(operator)
)

CREATE TABLE useracl1 (
	userid varchar(20) binary NOT NULL ,
	mode char(1) binary NOT NULL ,
	icmp char(1) binary NOT NULL ,
	udp char(1) binary NOT NULL ,
	igmp char(1) binary NOT NULL ,
	qq char(1) binary NOT NULL ,
	msn char(1) binary NOT NULL ,
	yahoo char(1) binary NOT NULL ,
	bt char(1) binary NOT NULL ,
	emule char(1) binary NOT NULL ,
	ftp char(1) binary NOT NULL ,
	flashget char(1) binary NOT NULL ,
	proxy char(1) binary NOT NULL ,
	socks char(1) binary NOT NULL ,
	PRIMARY KEY (userid)
)

CREATE TABLE useracl2 (
	userid varchar(20) binary NOT NULL ,
	site varchar(100) binary NOT NULL ,
	orderid int NOT NULL ,
	flag char(1) binary NOT NULL ,
	PRIMARY KEY (userid,site,flag)
)

CREATE TABLE useracl3 (
	userid varchar(20) binary NOT NULL ,
	port int NOT NULL ,
	orderid int NOT NULL ,
	PRIMARY KEY (userid,port)
)

CREATE TABLE rooms ( 
	loginname varchar(20) binary NOT NULL ,
	price float NOT NULL ,
	PRIMARY KEY(loginname)
)

CREATE TABLE userband (
	loginname varchar(20) NOT NULL ,
	banddown int NOT NULL ,
	bandtype int NOT NULL ,
	bandup int NOT NULL ,
	PRIMARY KEY (loginname)
)

CREATE TABLE contact (
	ipaddr varchar(15) binary NOT NULL ,
	contacttime int NOT NULL ,
	PRIMARY KEY (ipaddr)
)

CREATE TABLE addusertime (
	userid varchar(20) binary NOT NULL ,
	timelength int NOT NULL ,
	datalength int NOT NULL ,
	PRIMARY KEY (userid)
)

CREATE TABLE cash (
	userid varchar(20) binary NOT NULL ,
	transtime varchar(20) binary NOT NULL ,
	money float NOT NULL ,
	flag char(1) binary NOT NULL ,
	operator varchar(20) binary NOT NULL ,
	PRIMARY KEY (transtime,operator)
)

CREATE TABLE userlog (
	rid int NOT NULL ,
	userid varchar(20) binary NOT NULL ,
	starttime varchar(20) binary NOT NULL ,
	endtime varchar(20) binary NOT NULL ,
	userip varchar(15) binary NOT NULL ,
	site varchar(1024) binary NOT NULL ,
	port varchar(5) binary NULL ,
	protocol varchar(10) binary NOT NULL ,
	PRIMARY KEY (rid)
)

CREATE INDEX userlog_index1 ON userlog(userid,starttime)

CREATE TABLE userproxy (
	loginname varchar(20) binary NOT NULL ,
	PRIMARY KEY (loginname)
)

CREATE TABLE freemac (
	mac varchar(20) binary NOT NULL ,
	name varchar(20) binary NOT NULL ,
	PRIMARY KEY (name)
)

CREATE TABLE freeip (
	ipaddr varchar(50) binary NOT NULL ,
	name varchar(20) binary NOT NULL ,
	banddown int NOT NULL ,
	bandup int NOT NULL ,
	PRIMARY KEY (name)
)

CREATE TABLE forbidmac (
	mac varchar(20) binary NOT NULL ,
	name varchar(20) binary NOT NULL ,
	PRIMARY KEY (name)
)

CREATE TABLE refresh (
	flag int NOT NULL ,
	PRIMARY KEY (flag)
)

CREATE TABLE usersocket (
	loginname varchar(20) binary NOT NULL ,
	socket int NOT NULL ,
	PRIMARY KEY (loginname)
)

insert into types values('',20,2)

insert into types values('Сʱ',2,1)

insert into types values('',0.1,3)

insert into types values('',100,4)

insert into types values('',0,7)

insert into types values('(M)',2,5)

insert into types values('(G)',300,6)

insert into types values('',800,8)

insert into module values('0001','ձ')

insert into module values('0002','±')

insert into module values('0003','ÿտͨ嵥')

insert into module values('0004','ÿսʿ嵥')

insert into module values('0005','ǰпͨ嵥')

insert into module values('0006','嵥±')

insert into module values('0007','')

insert into module values('0008','')

insert into module values('0009','ûͽ۸޸')

insert into module values('0010','ѯ')

insert into module values('0011','Ա')

insert into module values('0012','Ա')

insert into module values('0013','Ա޸')

insert into module values('0014','ʷ¼ѯ')

insert into module values('0015','')

insert into module values('0016','嵥ѯ')

insert into module values('0017','ǰ嵥')

insert into module values('0018','¼ѯ')

insert into module values('0019','ʷ')

insert into module values('0020','걨')

insert into module values('0021','û')

insert into module values('0022','ûΧ')

insert into module values('0023','ͷ۹')

insert into module values('0024','û')

insert into module values('0025','ָͣ')

insert into module values('0026','ֽ֧')

insert into module values('0027','û')

insert into module values('0028','־ѯ')

insert into module values('0030','̶ͨͻMACַ')

insert into module values('0031','̶ͨͻIPַ')

insert into module values('0032','ֹͻMACַ')

insert into module values('0033','û')

insert into operators values('sip','ϵͳԱ','sip','11111111111111111111111111111111')
